import type { CodegenConfig } from "@graphql-codegen/cli";

const GITHUB_API_TOKEN = process.env.GITHUB_API_TOKEN;

const config: CodegenConfig = {
  overwrite: true,
  schema: {
    "https://api.github.com/graphql": {
      headers: {
        // authorization: `Bearer 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`,
        authorization: `Bearer ${GITHUB_API_TOKEN}`,
        "User-Agent": "GitHub GraphQL SDK",
      },
    },
  },

  documents: "src/operations/**/*.gql",
  generates: {
    "src/gql/": {
      preset: "client",
      plugins: [],
    },
    // "src/gql/request.ts": {
    //   plugins: [
    //     "typescript",
    //     "typescript-operations",
    //     "typescript-graphql-request",
    //   ],
    //   config: {
    //     rawRequest: true,
    //   },
    // },
  },
};

export default config;
